#include<bits/stdc++.h>
using namespace std;
long long kwo[100001];
long long mas[100001],mas2[100001];
int main(){
    long long N;
    cin>>N;
    for(long long i=0;i<N;i++){
        cin>>mas[i];
    }for(long long i=0;i<N;i++){
        cin>>mas2[i];
    }
    for(long long i=0;i<N;i++){
        kwo[mas2[i]]=i;
    }
    long long dif=N;
    for(long long i=0;i<N;i++){
        //cout<<kwo[mas[i]]<<" ";
        if(kwo[mas[i]]==kwo[mas[i+1]]-1){
            dif--;
        }
    }
    cout<<dif<<endl;

    return 0;
}
